Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1086789 - Neutron: Failed to install Host neseted_host_1. Failed to execute stage 'Misc configuration': list index out of range.
Summary: Neutron: Failed to install Host neseted_host_1. Failed to execute stage 'Misc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: 3.5.0
Assignee: Moti Asayag
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks: 1093994 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-11 13:37 UTC by Martin Pavlik
Modified: 2016-02-10 19:51 UTC (History)
11 users (show)

Fixed In Version: vt1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1093994 (view as bug list)
Environment:
Last Closed: 2015-02-17 17:15:26 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)
deploy log (deleted)
2014-04-11 13:37 UTC, Martin Pavlik
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27295 master MERGED engine: Skip empty bridge mappings Never
oVirt gerrit 27343 ovirt-engine-3.4 MERGED engine: Skip empty bridge mappings Never

Description Martin Pavlik 2014-04-11 13:37:21 UTC
Created attachment 885452 [details]
deploy log

Description of problem:
If user tries to install host with external provider support and leaves 
"Bridge Mappings" field in Install Host -> Network Provider empty

Installation fails with following error: 
Failed to install Host neseted_host_1. Failed to execute stage 'Misc configuration': list index out of range.

2014-04-11 15:20:38 DEBUG otopi.context context._executeMethod:152 method exception
Traceback (most recent call last):
  File "/tmp/ovirt-ZCg95XYwmz/pythonlib/otopi/context.py", line 142, in _executeMethod
    method['method']()
  File "/tmp/ovirt-ZCg95XYwmz/otopi-plugins/ovirt-host-deploy/openstack/neutron_openvswitch.py", line 193, in _bridge
    bridge = setting.split(':')[1]
IndexError: list index out of range
2014-04-11 15:20:38 ERROR otopi.context context._executeMethod:161 Failed to execute stage 'Misc configuration': list index out of range


Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.4.0-0.13.beta3.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. Add external Neutron Provided with Open vSwithch plugin
2. add RHOS repo to host 
3. Hosts -> New -> General -> fill in name, address, password
4. Stay in the dialog "New Host" switch to "Network Provider" Tab
5. Pick your neutron provider, leave "Bridge Mappings" empty

Actual results:
Failed to install Host neseted_host_1. Failed to execute stage 'Misc configuration': list index out of range.

Expected results:
1) If bridge mappings is required parameter, engine dialog should not allow to be confirmed with Bridge Mappings field empty

2) neutron_openvswitch.py should not end up with traceback, but return clear log message about what is wrong if needed

Additional info:

Comment 1 Dan Kenigsberg 2014-05-08 07:36:48 UTC
This bug is not a blocker or an exception forand won't make it for 3.4.0.

Comment 2 GenadiC 2014-07-17 10:57:39 UTC
Verified in 3.5.0-0.0.master.20140715172116.git4687dc1.el6

Comment 3 Eyal Edri 2015-02-17 17:15:26 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.